Páginas de introducción
GET https://xerp.ae/api/splash-pages/
curl --request GET \
--url 'https://xerp.ae/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xerp.ae/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadeia | A string de pesquisa. |
| search_by | Opcional Cadeia | Por qual campo estás pesquisando. Los valores permitidos son: name. |
| datetime_field | Opcional Cadeia | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadeia | Filtre los resultados a partir desta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadeia | Filtre los resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadeia | Por qual campo ordenar los resultados. Los valores permitidos son: splash_page_id, datetime, last_datetime, name. |
| order_type | Opcional Cadeia | A ordenação de los resultados. Los valores permitidos son: ASC para ordenação ascendente y DESC para ordenação descendente. |
| page | Opcional Inteiro | O número de la página que deseas resultados. O predeterminado es 1. |
| results_per_page | Opcional Inteiro | Quantos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. O predeterminado es 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-15 20:12:40",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://xerp.ae/api/projects?page=1",
"last": "https://xerp.ae/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://xerp.ae/api/projects?page=1"
}
}
GET https://xerp.ae/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://xerp.ae/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xerp.ae/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-15 20:12:40",
}
}
POST https://xerp.ae/api/projects
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Obligatorio Cadeia | - |
| title | Opcional Cadeia | - |
| logo | Opcional Archivo | - |
| favicon | Opcional Archivo | - |
| opengraph | Opcional Archivo | - |
| description | Opcional Cadeia | - |
| secondary_button_name | Opcional Cadeia | - |
| secondary_button_url | Opcional Cadeia | - |
| custom_css | Opcional Cadeia | - |
| custom_js | Opcional Cadeia | - |
| ads_header | Opcional Cadeia | - |
| ads_footer | Opcional Cadeia | - |
| link_unlock_seconds | Opcional Inteiro | - |
| auto_redirect | Opcional Boolean | - |
curl --request POST \
--url 'https://xerp.ae/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://xerp.ae/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://xerp.ae/api/splash-pages/{splash_page_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadeia | - |
| title | Opcional Cadeia | - |
| logo | Opcional Archivo | - |
| favicon | Opcional Archivo | - |
| opengraph | Opcional Archivo | - |
| description | Opcional Cadeia | - |
| secondary_button_name | Opcional Cadeia | - |
| secondary_button_url | Opcional Cadeia | - |
| custom_css | Opcional Cadeia | - |
| custom_js | Opcional Cadeia | - |
| ads_header | Opcional Cadeia | - |
| ads_footer | Opcional Cadeia | - |
| link_unlock_seconds | Opcional Inteiro | - |
| auto_redirect | Opcional Boolean | - |
curl --request POST \
--url 'https://xerp.ae/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://xerp.ae/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://xerp.ae/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://xerp.ae/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xerp.ae/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \